org.apache.thrift.transport

## Class TServerTransport

- java.lang.Object
- - org.apache.thrift.transport.TServerTransport

- Direct Known Subclasses:
    TNonblockingServerTransport, TServerSocket

      public abstract class TServerTransport
      extends java.lang.Object

  Server transport. Object which provides client transports.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TServerTransport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TTransport` | `accept()`
    `protected abstract TTransport` | `acceptImpl()`
    `abstract void` | `close()`
    `void` | `interrupt()` Optional method implementation.
    `abstract void` | `listen()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TServerTransport

          public TServerTransport()

  - ### Method Detail

    - #### listen

          public abstract void listen()
                               throws TTransportException

      Throws:
        `TTransportException`

    - #### accept

          public final TTransport accept()
                                  throws TTransportException

      Throws:
        `TTransportException`

    - #### close

          public abstract void close()

    - #### acceptImpl

          protected abstract TTransport acceptImpl()
                                            throws TTransportException

      Throws:
        `TTransportException`

    - #### interrupt

          public void interrupt()

      Optional method implementation. This signals to the server transport that it should break out of any accept() or listen() that it is currently blocked on. This method, if implemented, MUST be thread safe, as it may be called from a different thread context than the other TServerTransport methods.